ForgeEvents.onEvent('net.minecraftforge.event.level.BlockEvent$NeighborNotifyEvent', event => {
    let block = event.state.block
    if (block.id == 'minecraft:water') {
        for (let dir of event.notifiedSides) {
        const pos = event.pos.relative(dir);
        const target = event.level.getBlockState(pos);
        if (target.is('kubejs:pool_tiles')) {
            event.level.setBlock(pos, Block.getBlock('kubejs:pool_tiles_wet').defaultBlockState(), 3);
            break;
        }
    }}
});
ForgeEvents.onEvent('net.minecraftforge.event.level.BlockEvent$NeighborNotifyEvent', event => {
    let block = event.state.block
    if (block.id == 'minecraft:water') {
        for (let dir of event.notifiedSides) {
        const pos = event.pos.relative(dir);
        const target = event.level.getBlockState(pos);
        if (target.is('kubejs:missing_tiles_half')) {
            event.level.setBlock(pos, Block.getBlock('kubejs:missing_tiles_half_wet').defaultBlockState(), 3);
            break;
        }
    }}
});

ForgeEvents.onEvent('net.minecraftforge.event.level.BlockEvent$NeighborNotifyEvent', event => {
    let block = event.state.block
    if (block.id == 'minecraft:water') {
        for (let dir of event.notifiedSides) {
        const pos = event.pos.relative(dir);
        const target = event.level.getBlockState(pos);
        if (target.is('kubejs:pool_tiles_cracked')) {
            event.level.setBlock(pos, Block.getBlock('kubejs:pool_tiles_cracked_wet').defaultBlockState(), 3);
            break;
        }
    }}
});
ForgeEvents.onEvent('net.minecraftforge.event.level.BlockEvent$NeighborNotifyEvent', event => {
    let block = event.state.block
    if (block.id == 'minecraft:water') {
        for (let dir of event.notifiedSides) {
        const pos = event.pos.relative(dir);
        const target = event.level.getBlockState(pos);
        if (target.is('kubejs:missing_tiles_half_cracked')) {
            event.level.setBlock(pos, Block.getBlock('kubejs:missing_tiles_half_cracked_wet').defaultBlockState(), 3);
            break;
        }
    }}
});